/*!
* @file Building.h
* @brief 施設のプロトタイプ宣言
* @date 2014/02/01
* @author Deskull
* 2014 Sikabane Works.
*/

#pragma once

#include "stdafx.h"
#include "Deeangband.h"
#include "GameElement.h"

namespace Deeangband
{

	/*! 
	 * @class Building
	 * @brief 施設のクラス
	 */
	class Building : public GameElement
	{
	private:

	public:

		/*! 
		 * @brief Buildingクラスコンストラクタ
		 */
		Building::Building(void);

		/*! 
		 * @brief Buildingクラスデストラクタ
		 */
		Building::~Building(void);

		/*! 
		 * @brief Buildingデータ消去
		 * @return なし
		 */
		void Building::WipeData(void);
	};

}


